<?php

include_once('db.inc.php');

$mydb = new db();

if (isset($ajanlat_id)) {
	$mydb = new db();
	$stmt="SELECT id,url,nev,megnevezes FROM kk_ajanlat WHERE url='$ajanlat_id'";

	$result=$mydb->query($stmt);
	while($row = mysql_fetch_object($result)){
		$id = $row->id;
		$meta_title=$row->megnevezes." - ";
	}
} else {
	$stmt = sprintf( "select url from kk_ajanlat where id=%d" , $id );
	$result = $mydb->query( $stmt );
	$row = mysql_fetch_assoc( $result );
	if (!$row) exit();
	$loc = sprintf( "http://%s/munkaajanlat/%s" , $_SERVER["SERVER_NAME"] , $row["url"] );
	header("HTTP/1.1 301 Moved Permanently");
	header( sprintf( "Location: %s", $loc ) );
	exit();


}

include('header.inc.php');

if(!isset($id) || $id==""){
	Header("Location:munkaajanlat.php");
}



$stmt="SELECT id, nev FROM kk_kategoria";
$result=$mydb->query($stmt);
while($row = mysql_fetch_object($result)){
	$a_kategoria[$row->id] = $row->nev;
}

$stmt="SELECT id, nev FROM kk_megye";
$result=$mydb->query($stmt);
while($row = mysql_fetch_object($result)){
	$a_honnan[$row->id] = $row->nev;
}


$stmt="SELECT kk_ajanlat.*, kk_vforma.nev AS vforma FROM kk_ajanlat LEFT JOIN kk_vforma ON kk_vforma.id=kk_ajanlat.vforma WHERE kk_ajanlat.jovahagyva='1' AND kk_ajanlat.ervenyes >= CURDATE() AND kk_ajanlat.id=$id";

$result=$mydb->query($stmt);


if (mysql_num_rows($result) == 0) {
	printf("<I>A munkaajánlat érvényessége lejárt.</I>");
} else {



?>
<table border="0" cellpadding="10" cellspacing="10" width="100%">
                            <tr>
                                <td width="100%">
                                <p class="vezercikkcim">Részletes munkaajánlat</p><p>
<?
if ($sessUser &&$sessErv) //Ha érvényes a tagsága
{
?>
Az alábbiakban megtekintheti a munkaajánlat részleteit.
<?
}
else	//Ha nem érvényes a tagsága
{
?>
Az ajánlatkérővel való kapcsolatfelvételhez szükséges adatok és a részletes információk a tagjaink számára küldött hírlevélben szerepelnek.<br/><br/>A hírlevélre való feliratkozáshoz <a href="/jelentkezes.php">jelentkezzen</a> a Könyvelő Kereső szaknévsorába.
<?
}
?>
</p>
		<table border="0" cellpadding="3" cellspacing="2" width="100%">
       <?


	while($row = mysql_fetch_object($result)){

		$date=substr($row->datum,0,10);

		//$date=sprintf("%04d-%02d-%02d %02d:%02d", substr($date,0,4), substr($date,4,2), substr($date,6,2), substr($date,8,2), substr($date,10,2));

		if ($row->megnevezes)	printf("<TR valign='top' bgcolor=#E6E6E6><TH width=\"40%\" align=\"left\"><B>Ajánlatkérés címsora</B></TH><TD width=60% bgcolor=#E6E6E6 valign='top'>%s</TD></TR>\n", stripslashes($row->megnevezes));
		if ($sessUser && $sessErv==1)		printf("<TR valign='top' bgcolor=#E6E6E6><TH align=\"left\"><B>Ajánlatkérő neve</B></TH><TD bgcolor=#E6E6E6 valign='top'>%s</TD></TR>\n", $row->nev);
		if ($row->vforma)	printf("<TR valign='top' bgcolor=#E6E6E6><TH align=\"left\"><B>Vállalkozási forma</B></TH><TD valign='top' bgcolor=#E6E6E6>%s</TD></TR>\n", $row->vforma);
if ($sessUser && $sessErv==1)
{
		$szekhely = $row->szekhely;
		if ($szekhely != '') {
			printf("<TR bgcolor=#E6E6E6 valign='top'><TH align=\"left\"><B>Székhely</B></TH><TD bgcolor=#E6E6E6 valign='top'>%s</TD></TR>\n", $szekhely);
		}
}
		$fotevekenyseg = $row->fotevekenyseg;
		if ($fotevekenyseg != '') {
			printf("<TR bgcolor=#E6E6E6 valign='top'><TH align=\"left\"><B>Főtevékenység</B></TH><TD valign='top' bgcolor=#E6E6E6>%s</TD></TR>\n", $fotevekenyseg);
		}

		$konyveles_modja = $row->konyveles_modja;
		if ($konyveles_modja != '') {
			switch ($konyveles_modja) {
				case 1:
					$konyveles_modja = "egyszeres könyvvitel";
				break;
				case 2:
					$konyveles_modja = "EVA bevételi nyilvántartás";
				break;
				case 3:
					$konyveles_modja = "kettős könyvvitel";
				break;
				case 4:
					$konyveles_modja = "nem tudom";
				break;
			}
			printf("<TR bgcolor=#E6E6E6 valign='top'><TH align=\"left\"><B>Könyvelés módja</B></TH><TD valign='top' bgcolor=#E6E6E6>%s</TD></TR>\n", $konyveles_modja);
		}
    $kulker_vegez = $row->kulker_vegez;
    if ($kulker_vegez != '') {
        switch ($kulker_vegez) {
            case 1:
                $kulker_vegez = "nem";
            break;
            case 2:
                $kulker_vegez = "igen";
            break;
        }
			printf("<TR bgcolor=#E6E6E6 valign='top'><TH align=\"left\"><B>Külkereskedelmet végez</B></TH><TD valign='top' bgcolor=#E6E6E6>%s</TD></TR>\n", $kulker_vegez);
        }

		$row->munkahely == 1 ? $munkahely="könyvelőnél" : $munkahely="cégnél";
		printf("<TR bgcolor=#E6E6E6 valign='top'><TH align=\"left\"><B>Munkavégzés helye</B></TH><TD bgcolor=#E6E6E6 valign='top'>%s</TD></TR>\n", $munkahely);

		$row->bizonylat_atadas == 1 ? $bizonylat="könyvelőnél" : $bizonylat="cégnél";
		printf("<TR bgcolor=#E6E6E6 valign='top'><TH align=\"left\"><B>Bizonylatok átadása</B></TH><TD bgcolor=#E6E6E6 valign='top'>%s</TD></TR>\n", $bizonylat);

   	$honnan_1 = $row->honnan_1;
	if ($honnan_1 != 0) {
		printf("<TR bgcolor=#E6E6E6 valign='top'><TH align=\"left\"><B>Honnan várja az ajánlatokat (1)</B></TH><TD bgcolor=#E6E6E6 valign='top'>%s</TD></TR>\n", $a_honnan[$honnan_1]);
        }
   	$honnan_2 = $row->honnan_2;
	if ($honnan_2 != 0) {
		printf("<TR bgcolor=#E6E6E6 valign='top'><TH align=\"left\"><B>Honnan várja az ajánlatokat (2)</B></TH><TD bgcolor=#E6E6E6 valign='top'>%s</TD></TR>\n", $a_honnan[$honnan_2]);
        }
   	$honnan_3 = $row->honnan_3;
	if ($honnan_3 != 0) {
		printf("<TR bgcolor=#E6E6E6 valign='top'><TH align=\"left\"><B>Honnan várja az ajánlatokat (3)</B></TH><TD bgcolor=#E6E6E6 valign='top'>%s</TD></TR>\n", $a_honnan[$honnan_3]);
        }

		
		$bejovo_szamlak = $row->bejovo_szamlak;
		if ($bejovo_szamlak != 0) {
			switch ($bejovo_szamlak) {
				case 1:
					$bejovo_szamlak = "1-10";
				break;
				case 2:
					$bejovo_szamlak = "10-50";
				break;
				case 3:
					$bejovo_szamlak = "50-100";
				break;
				case 4:
					$bejovo_szamlak = "100-1000";
				break;
				case 5:
					$bejovo_szamlak = "1000 felett";
				break;
				case 6:
					$bejovo_szamlak = "nem tudom";
				break;
				default:
					$bejovo_szamlak = "nincs adat";
			}
			printf("<TR bgcolor=#E6E6E6 valign='top'><TH align=\"left\"><B>Bejövő számlák</B></TH><TD bgcolor=#E6E6E6 valign='top'>%s db/hó</TD></TR>\n", $bejovo_szamlak);
		}

		$kimeno_szamlak = $row->kimeno_szamlak;
		if ($kimeno_szamlak != 0) {
			switch ($kimeno_szamlak) {
				case 1:
					$kimeno_szamlak = "1-10";
				break;
				case 2:
					$kimeno_szamlak = "10-50";
				break;
				case 3:
					$kimeno_szamlak = "50-100";
				break;
				case 4:
					$kimeno_szamlak = "100-1000";
				break;
				case 5:
					$kimeno_szamlak = "1000 felett";
				break;
				case 6:
					$kimeno_szamlak = "nem tudom";
				break;
				default:
					$kimeno_szamlak = "nincs adat";
			}
		printf("<TR bgcolor=#E6E6E6 valign='top'><TH align=\"left\"><B>Kimenő számlák</B></TH><TD bgcolor=#E6E6E6 valign='top'>%s db/hó</TD></TR>\n", $kimeno_szamlak);
		}


		$alkalmazottak = $row->alkalmazottak;
		if ($alkalmazottak != '') {
			printf("<TR bgcolor=#E6E6E6 valign='top'><TH align=\"left\"><B>Alkalmazottak száma</B></TH><TD bgcolor=#E6E6E6 valign='top'>%s</TD></TR>\n", $alkalmazottak);
		}

		$arbevetel = $row->arbevetel;
		if ($arbevetel != 0) {
			switch ($arbevetel) {
				case 1:
					$arbevetel = "0-5";
				break;
				case 2:
					$arbevetel = "5-15";
				break;
				case 3:
					$arbevetel = "15-50";
				break;
				case 4:
					$arbevetel = "50 felett";
				break;
				case 5:
					$arbevetel = "nem tudom";
				break;
				default:
					$arbevetel = "nincs adat";
			}
		printf("<TR bgcolor=#E6E6E6 valign='top'><TH align=\"left\"><B>Árbevétel</B></TH><TD valign='top'>%s MFt/év</TD></TR>\n", $arbevetel);
		}

		if ($sessUser && $sessErv==1)	printf("<TR bgcolor=#E6E6E6 valign='top'><TH align=\"left\"><B>Elérhetőség</B></TH><TD valign='top'>%s</TD></TR>\n", $row->elerhetoseg);
		if ($sessUser && $sessErv==1)	printf("<TR bgcolor=#E6E6E6 valign='top'><TH align=\"left\"><B>Kapcsolatfelvételi telefonszám</B></TH><TD valign='top'>%s</TD></TR>\n", $row->kapcsolat_tel);



		$kategoria_1 = $row->kategoria_1;
		if ($kategoria_1 != 0) {
			printf("<TR bgcolor=#E6E6E6 valign='top'><TH align=\"left\"><B>Kategória 1.</B></TH><TD bgcolor=#E6E6E6 valign='top'>%s</TD></TR>\n", $a_kategoria[$kategoria_1]);
		}

		$kategoria_2 = $row->kategoria_2;
		if ($kategoria_2 != 0) {
			printf("<TR bgcolor=#E6E6E6 valign='top'><TH align=\"left\"><B>Kategória 2.</B></TH><TD bgcolor=#E6E6E6 valign='top'>%s</TD></TR>\n", $a_kategoria[$kategoria_2]);
		}

		$kategoria_3 = $row->kategoria_3;
		if ($kategoria_3 != 0) {
			printf("<TR bgcolor=#E6E6E6 valign='top'><TH align=\"left\"><B>Kategória 3.</B></TH><TD bgcolor=#E6E6E6 valign='top'>%s</TD></TR>\n", $a_kategoria[$kategoria_3]);
		}


		if ($row->munka)	printf("<TR bgcolor=#E6E6E6 valign='top'><TH align=\"left\"><B>Keresett szolgáltatás leírása</B></TH><TD bgcolor=#E6E6E6 valign='top'>%s</TD></TR>\n", nl2br($row->munka));
		if ($row->szempontok)	printf("<TR bgcolor=#E6E6E6 valign='top'><TH align=\"left\"><B>Legfontosabb szempontok</B></TH><TD bgcolor=#E6E6E6 valign='top'>%s</TD></TR>\n", nl2br($row->szempontok));
		if ($row->ervenyes)	printf("<TR bgcolor=#E6E6E6 valign='top'><TH align=\"left\"><B>Ajánlatküldési határidő</B></TH><TD bgcolor=#E6E6E6 valign='top'>%s</TD></TR>\n", $row->ervenyes);
	
		printf("<TR bgcolor=#E6E6E6 valign='top'><TH align=\"left\"><B>Feladva</B></TH><TD bgcolor=#E6E6E6 valign='top'>%s</TD></TR>\n", $date);

	}

	printf("</TABLE></td></tr></table><hr color=#C0C0C0 size=1><p align=center><a href=/munkaajanlat.php><B>További munkaajánlatok</B></a>");

	printf("<hr color=#C0C0C0 size=1><BR>");

}


include('footer.inc.php');

?>
